## cracklib2 2.8.12-maemo1

=== debian/changelog ===
cracklib2 (2.8.12-maemo1) unstable; urgency=low

  * fix to compile for maemo
  
 -- Thomas Maass <inyourface@gmx.de>  Sat, 26 Jun 2010 20:21:00 +0200

cracklib2 (2.8.12-8lenny1) testing-proposed-updates; urgency=low

  [ Steve Langasek ]
  * debian/update-cracklib: don't rely on [ -nt ] to return true when
    the second file is non-existent, since this fails under dash.
    LP: #278743.

  [ Jan Dittberner ]
  * integrate Ubuntu bugfix
  * use set -e in debian/cracklib-runtime.preinst to fix lintian warning
    maintainer-script-ignores-errors

 -- Jan Dittberner <jan@dittberner.info>  Thu, 16 Oct 2008 21:04:24 +0200

cracklib2 (2.8.12-8) unstable; urgency=low

  * provide a python-crack wrapper to mimic the behavior of the python-
    crack package in Etch (Closes: #499056)
  * fix inconsistent spaces vs. tabs usage in
    debian/cracklib-runtime.cron.daily
  * fix logcheck rules' regexes
  * debian/control
    - python-cracklib Provides python-crack and Conflicts with
      python-crack (<< 2.8.12-1)
    - add transitional package python-crack to easy Etch migration

 -- Jan Dittberner <jan@dittberner.info>  Mon, 15 Sep 2008 23:29:03 +0200

cracklib2 (2.8.12-7) unstable; urgency=low

  * fixes global name 'default_dictpath' is not defined (Closes: #499013)

 -- Jan Dittberner <jan@dittberner.info>  Mon, 15 Sep 2008 20:45:25 +0200

cracklib2 (2.8.12-6) unstable; urgency=low

  * add debian/libcrack2.symbols containing versioned symbols for
    libcrack2
  * debian/copyright
    - updated maintainer information
    - removed shared libraries and headers from Modifications as they are
      provided by upstream
  * change cracklib-runtime's daily cron job's log output if no change
    happens and update logcheck rules accordingly (Closes: #498354)
  * debian/rules
    - add dh_installlogcheck to binary-common

 -- Jan Dittberner <jan@dittberner.info>  Wed, 10 Sep 2008 23:28:54 +0200

cracklib2 (2.8.12-5) unstable; urgency=low

  * remove debian/patches/05-use-autogen_sh.patch because of the valuable
    input from debian-mentors
  * remove the files modified or added by ./autogen.sh
  * debian/rules uses autogen.sh again
  * debian/control
    - re-add libtool, autoconf, and automake to build dependencies

 -- Jan Dittberner <jan@dittberner.info>  Mon, 25 Aug 2008 22:48:18 +0200

cracklib2 (2.8.12-4) unstable; urgency=low

  * add debian/patches/05-use-autogen_sh.patch instead of calling
    autogen.sh (fixes Lintian warning
    patch-system-but-direct-changes-in-diff)
  * debian/control: remove build dependencies to autoconf, automake and
    libtool
  * remove absolute path to update-cracklib from
    debian/cracklib-runtime.postinst (fixes Lintian warning
    command-with-path-in-maintainer-script)
  * update regular expression in debian/watch to not match obsolete 3.0pre
    versions

 -- Jan Dittberner <jan@dittberner.info>  Fri, 15 Aug 2008 20:52:29 +0200

cracklib2 (2.8.12-3) unstable; urgency=low

  * debian/control
    + remove Recommends for old wenglish package
    + add a reasonable description to python-cracklib (Closes: #492968)
  * fix Lintian info 'hypen-used-as-minus-sign' in
    debian/update-cracklib.8
  * debian/README.source file added

 -- Jan Dittberner <jan@dittberner.info>  Wed, 30 Jul 2008 23:33:35 +0200

cracklib2 (2.8.12-2) unstable; urgency=low

  * debian/patches/04-improved-python-binding.patch patches upstream
    python bindings to provide the functionallity and documentation
    strings python-crack had (upstream will apply this patch in the
    future)
  * debian/rules uses autogen.sh
  * only update cracklib dictionary if any of the source dictionaries has
    changed (Closes: #380546)
  * debian/control
    + make Conflicts/Replaces version specific to be compliant to policy
      section 2.5
    + add libtool, autoconf, and automake to build dependencies

 -- Jan Dittberner <jan@dittberner.info>  Tue, 15 Jul 2008 19:59:54 +0200

cracklib2 (2.8.12-1) unstable; urgency=low

  * switch to new upstream branch (Closes: #355692)
  * update copyright file to reflect the change from an Artistic License
    derivative license to the GPL-2 and mention new upstream
  * debian/rules
    + switch from cdbs to debhelper
    + change default dictionary path to /var/lib/cracklib/pw_dict
    + fix rpath issues in built utils using chrpath
  * debian/control
    + update to Standards-Version 3.8.0
    + add Homepage field
    + provide a new binary package python-cracklib using python-central
    + add Build-Depends for python-all, python-all-dev, python-central,
      quilt, and chrpath
    + add XS-Python and XB-Python fields to debian/control
    + rename binary package cracklib2 to libcrack2 and cracklib2-dev to
      libcrack2-dev, add the corresponding Provides, Conflicts and
      Replaces
    + make libcrack2-dev depend on libcrack2 with the same
      binary:Version
    + change Maintainer to Jan Dittberner
    + set Uploaders field to previous Maintainer Martin Pitt
    + add Vcs-Svn and Vcs-Svn-Browser to debian/control
  * fix debian/cracklib-runtime.preinst to use dpkg-query instead of
    directly accessing /var/lib/dpkg/status
  * add debian/pycompat for dh_python
  * update script update-cracklib to use cracklib-format and
    cracklib-packer
  * man pages for the new commands, updated existing man pages (Closes:
    #429993)
  * add debian/watch file for uscan
  * let debian/examples/cracklib_example.c use NULL to specify the default
    dictionary path
  * convert HTML documentation to DocBook XML and update it
  * fix man2html URLs in documentation to reflect man2html's current URL
    syntax
  * add README, README-DAWG, and README-WORDS from upstream package
  * add quilt rules to debian/rules
  * removed some Debian patches that are no longer required because of
    upstream improvements
  * debian/patches/05-mkdict.patch: Adapted to new upstream version,
    renamed to 01-cracklib-format-optim.patch.

