=== debian/control ===
Source: cracklib2
Section: libs
Priority: optional
Maintainer: Thomas Maass <inyourface@gmx.de>
Standards-Version: 3.8.0
Build-Depends: debhelper (>= 4.0.0), python-central (>= 0.6.7),
 python-all-dev, python-all, chrpath, xmlto, quilt(>= 0.4), automake
 (>= 1.10), autoconf (>=2.61), libtool
Homepage: http://sourceforge.net/projects/cracklib
XS-Python-Version: all
Vcs-Svn: svn://svn.debian.org/pkg-cracklib/cracklib2/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-cracklib/cracklib2/trunk/?op=log

Package: libcrack2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Recommends: cracklib-runtime
Conflicts: cracklib2.6, cracklib2 (<< 2.8.12-1)
Provides: cracklib2
Replaces: cracklib2.6, cracklib2 (<< 2.8.12-1)
Description: pro-active password checker library
 Shared library for cracklib2 which contains a C function which may be
 used in a passwd like program. The idea is simple: try to prevent
 users from choosing passwords that could be guessed by crack by
 filtering them out, at source. cracklib2 is NOT a replacement passwd
 program. cracklib2 is a LIBRARY.

Package: libcrack2-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libcrack2 (=${binary:Version})
Recommends: cracklib-runtime
Provides: cracklib-dev, cracklib2-dev
Conflicts: cracklib-dev, cracklib2-dev (<< 2.8.12-1)
Replaces: cracklib-dev, cracklib2-dev (<< 2.8.12-1)
Description: pro-active password checker library - development
 Header files, static libraries, documentation, and symbolic links
 developers using cracklib2 will need.

Package: cracklib-runtime
Section: admin
Architecture: any
Depends: ${shlibs:Depends}, libcrack2 (>=${binary:Version}), file
Recommends: wordlist
Description: runtime support for password checker library cracklib2
 Run-time support programs which use the shared library in libcrack2
 including programs to build the password dictionary databases used by
 the functions in the shared library.

Package: python-cracklib
Section: python
Priority: optional
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, libcrack2
 (>=${binary:Version}), python (>= 2.4)
Provides: ${python:Provides}, python-crack
Conflicts: python-crack (<< 2.8.12-1)
XB-Python-Version: ${python:Versions}
Description: Python bindings for password checker library cracklib2
 This package provides Python bindings for cracklib. It contains a pythonic
 interface to cracklib's functions and some Python convenience functions.

Package: python-crack
Section: python
Priority: extra
Architecture: all
Depends: python-cracklib
Description: transitional package from python-crack to python-cracklib
 There has been a package python-crack in previous Debian
 versions. This package provides an upgrade path to python-cracklib
 and can be removed safely.
