## cracklib2 2.8.12-maemo2

=== debian/changelog ===
cracklib2 (2.8.12-maemo2) unstable; urgency=low

  * Fixed docs.
  
 -- Thomas Maass <mase@setho.org>  Wed, 23 Feb 2011 18:40:00 +0200
