=== debian/rules ===
--- 
+++ 
@@ -86,7 +86,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs
-	dh_installdocs
+	dh_installdocs debian/README.Maemo
 	dh_installexamples
 	dh_installman
 	dh_installcron
@@ -106,7 +106,7 @@
 	dh_testdir -ppython-crack
 	dh_testroot -ppython-crack
 	dh_installchangelogs -ppython-crack
-	dh_installdocs -ppython-crack
+	dh_installdocs -ppython-crack debian/README.Maemo
 	dh_compress -ppython-crack
 	dh_installdeb -ppython-crack
 	dh_gencontrol -ppython-crack
@@ -123,7 +123,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs
-	dh_installdocs
+	dh_installdocs debian/README.Maemo
 	dh_strip
 	dh_link
 	dh_compress
