## cracklib2 2.8.15

=== debian/changelog ===
cracklib2 (2.8.15-6) unstable; urgency=low

  * debian/control: set Recommends for cracklib-runtime to wamerican |
    wordlist instead of wordlist only to provide a sane default for
    installations that have no existing wordlist (Closes: #566099)

 -- Jan Dittberner <jandd@debian.org>  Sun, 24 Jan 2010 00:31:43 +0100

cracklib2 (2.8.15-5) unstable; urgency=low

  * switch packaging to git
  * debian/control: replace Vcs-Svn with Vcs-Git, change Vcs-Browser

 -- Jan Dittberner <jandd@debian.org>  Tue, 29 Dec 2009 12:52:10 +0100

cracklib2 (2.8.15-4) unstable; urgency=low

  * remove explicit quilt usage. quilt is implicitly used for source
    format 3.0 (quilt)
  * debian/control:
    - remove quilt from Build-Depends
  * debian/rules:
    - remove --with quilt
  * remove debian/README.source

 -- Jan Dittberner <jandd@debian.org>  Tue, 01 Dec 2009 22:08:47 +0100

cracklib2 (2.8.15-3) unstable; urgency=low

  * debian/rules: install egg-info for python-cracklib
  * debian/control: add Build-Depends-Indep: python-setuptools to allow
    egg_info generation

 -- Jan Dittberner <jandd@debian.org>  Mon, 23 Nov 2009 19:38:18 +0100

cracklib2 (2.8.15-2) unstable; urgency=low

  * add debian/patches/svn-r152-python-use-translations.patch to use
    cracklib translations in the Python binding (Closes: #557390) and
    update debian/patches/series accordingly

 -- Jan Dittberner <jandd@debian.org>  Sat, 21 Nov 2009 22:20:26 +0100

cracklib2 (2.8.15-1) unstable; urgency=low

  * New upstream release
    - license changed to LGPL
    - integrate patch 01-use-src-path-for-python.patch from 2.8.14-1
  * debian/copyright: updated licensing information
  * remove debian/patches/01-usr-src-path-for-python.patch included in
    upstream release, update debian/patches/series

 -- Jan Dittberner <jandd@debian.org>  Thu, 19 Nov 2009 07:52:09 +0100

cracklib2 (2.8.14-1) unstable; urgency=low

  * New upstream release
    - integrate Debian patches
    - added and updated translations
    - improved Python binding
  * remove patches debian/patches/01-cracklib-format-optim.patch,
    debian/patches/02-ccwarnings.patch and
    debian/patches/04-enable-gettext.patch that have been applied
    upstream, update debian/patches/series accordingly
  * debian/patches/03-packer-dont-print-skipping-line.patch annotated with
    DEP-3 tags
  * add debian/patches/01-use-src-path-for-python.patch to allow building
    Python extension outside the source folder
  * debian/copyright: update upstream copyright
  * debian/libcrack2.install, debian/libcrack2.links: update library
    version to 2.8.1
  * debian/libcrack2.symbols: add GetDefaultCracklibDict

 -- Jan Dittberner <jandd@debian.org>  Wed, 18 Nov 2009 19:03:01 +0100

cracklib2 (2.8.13-13) unstable; urgency=low

  * debian/changelog: use "Closes" instead of wrong "fixes" for 2.8.13-12
  * switch to python-support
  * add debian/python-cracklib.preinst to call pycentral on first update
  * debian/control:
    - update Standards-Version to 3.8.3 (no changes needed)
    - add ${misc:Depends}
    - update debhelper dependency version
    - replace Build-Depends python-central with python-support
  * debian/rules:
    - switch to dh7
    - install NEWS as upstream changelog
  * add debian/source/format to switch to 3.0 (quilt) source format

 -- Jan Dittberner <jandd@debian.org>  Sat, 14 Nov 2009 23:10:41 +0100

cracklib2 (2.8.13-12) unstable; urgency=low

  * debian/rules: remove config.guess and config.sub in clean target
    (Closes: #539550)

 -- Jan Dittberner <jandd@debian.org>  Sat, 01 Aug 2009 22:52:31 +0200

cracklib2 (2.8.13-11) unstable; urgency=low

  * debian/rules:
    - remove more autogenerated files in debian/rules (fixes
      Lintian warning)
  * debian/control:
    - change Maintainer email address to new DD account
  * debian/cracklib-check.8, debian/libcrack2.xml, debian/cracklib-
    runtime.xml, debian/create-cracklib-dict.8, debian/copyright:
    - update email address

 -- Jan Dittberner <jandd@debian.org>  Fri, 24 Jul 2009 00:14:50 +0200

cracklib2 (2.8.13-10) unstable; urgency=low

  * debian/control:
    - update Standards-Version to 3.8.2 (no changes necessary)
    - make python-cracklib depend on cracklib-runtime (Closes: #533194)

 -- Jan Dittberner <jan@dittberner.info>  Thu, 25 Jun 2009 09:20:25 +0200

cracklib2 (2.8.13-9) unstable; urgency=low

  * debian/control: update Standards-Version to 3.8.1 (no changes
    necessary)
  * debian/compat: update debhelper compatibility to 7 to make Lintian
    happy
  * remove debian/libcrack2.postinst, debian/libcrack2.prerm and
    debian/cracklib-runtime.prerm and modify debian/cracklib-
    runtime.postinst to fix postinst-has-useless-call-to-install-docs
    and prerm-has-useless-call-to-install-docs Lintian warnings

 -- Jan Dittberner <jan@dittberner.info>  Sun, 24 May 2009 20:10:42 +0200

cracklib2 (2.8.13-8) unstable; urgency=low

  * debian/cracklib-runtime.postinst: add call to install-docs and add
    debian/cracklib-runtime.prerm, debian/libcrack2.prerm,
    debian/libcrack2.postinst to add missing calls to install-docs (fixes
    4 lintian errors)

 -- Jan Dittberner <jan@dittberner.info>  Tue, 17 Mar 2009 21:23:51 +0100

cracklib2 (2.8.13-7) unstable; urgency=low

  [ Jan Dittberner ]
  * debian/control: remove duplicate Priority field of python-cracklib
    and Section field of libcrack2
  * remove debian/libcrack2.postinst and debian/libcrack2.postrm as
    their functionality is automatically generated by debhelper

  [ Alessio Treglia ]
  * debian/rules: Include /usr/share/python/python.mk and use py_sitename_sh
    macro, so that installation will work correctly with the forthcoming
    Python 2.6 as well. (LP: #342383)

 -- Martin Pitt <mpitt@debian.org>  Mon, 16 Mar 2009 10:04:28 +0100

cracklib2 (2.8.13-6) unstable; urgency=low

  * add more verbose descriptions to libcrack2-dev and python-cracklib
    (fixes Lintian info)

