=== debian/control ===
Source: cracklib2
Section: libs
Priority: optional
Maintainer: Jan Dittberner <jandd@debian.org>
Uploaders: Martin Pitt <mpitt@debian.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7.0.50), python-support (>= 1.0.2),
 python-all-dev, python-all, chrpath, xmlto, automake (>= 1.10),
 autoconf (>=2.61), libtool
Build-Depends-Indep: python-setuptools
Homepage: http://sourceforge.net/projects/cracklib
XS-Python-Version: all
Vcs-Git: git://git.debian.org/pkg-cracklib/pkg-cracklib.git
Vcs-Browser: http://git.debian.org/?p=pkg-cracklib/pkg-cracklib.git

Package: libcrack2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: cracklib-runtime
Conflicts: cracklib2.6, cracklib2 (<< 2.8.12-1)
Provides: cracklib2
Replaces: cracklib2.6, cracklib2 (<< 2.8.12-1)
Description: pro-active password checker library
 Shared library for cracklib2 which contains a C function which may be
 used in a passwd like program. The idea is simple: try to prevent
 users from choosing passwords that could be guessed by crack by
 filtering them out, at source. cracklib2 is NOT a replacement passwd
 program. cracklib2 is a LIBRARY.

Package: libcrack2-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libcrack2 (=${binary:Version}), ${misc:Depends}
Recommends: cracklib-runtime
Provides: cracklib-dev, cracklib2-dev
Conflicts: cracklib-dev, cracklib2-dev (<< 2.8.12-1)
Replaces: cracklib-dev, cracklib2-dev (<< 2.8.12-1)
Description: pro-active password checker library - development files
 Header files, static libraries, documentation, and symbolic links
 developers using cracklib2 will need.
 .
 If you want to build software using cracklib2 you will need to
 install this package. For developing Python based applications for
 cracklib2 you need to install python-cracklib instead.

Package: cracklib-runtime
Section: admin
Architecture: any
Depends: ${shlibs:Depends}, libcrack2 (>=${binary:Version}), file,
 ${misc:Depends}
Recommends: wamerican | wordlist
Description: runtime support for password checker library cracklib2
 Run-time support programs which use the shared library in libcrack2
 including programs to build the password dictionary databases used by
 the functions in the shared library.

Package: python-cracklib
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 libcrack2 (>=${binary:Version}), cracklib-runtime
 (>=${binary:Version})
Provides: ${python:Provides}, python-crack
Conflicts: python-crack (<< 2.8.12-1)
XB-Python-Version: ${python:Versions}
Description: Python bindings for password checker library cracklib2
 This package provides Python bindings for cracklib. It contains a
 pythonic interface to cracklib's functions and some Python
 convenience functions.
 .
 You should install this package if you want to use or develop Python
 applications that want to interface with cracklib2.

Package: python-crack
Section: python
Priority: extra
Architecture: all
Depends: python-cracklib, ${misc:Depends}
Description: transitional package from python-crack to python-cracklib
 There has been a package python-crack in previous Debian
 versions. This package provides an upgrade path to python-cracklib
 and can be removed safely.
