## cracklib2 2.8.16

=== debian/changelog ===
cracklib2 (2.8.16-4~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * use source format 3.0 (quilt)
  * change debhelper dependency version to 7.0.50~
  * call install-docs in libcrack2 and cracklib-runtime postinst and
    prerm scripts (Squeeze's doc-base uses triggers and does not need this)

 -- Jan Dittberner <jandd@debian.org>  Tue, 02 Nov 2010 17:37:59 +0100

cracklib2 (2.8.16-4) unstable; urgency=low

  * debian/control: remove Conflicts, Provides and Breaks refering to versions
    and packages before Lenny, keep python-cracklib's Conflicts with
    python-crack to force deinstallation of transitional package

 -- Jan Dittberner <jandd@debian.org>  Mon, 13 Sep 2010 19:00:03 +0200

cracklib2 (2.8.16-3) unstable; urgency=low

  * debian/control: update to Standards-Version to 3.9.1
    - use Breaks instead of Conflicts for libcrack2's incompatibility with
      cracklib2 (<< 2.8.12-1) and libcrack2-dev's incompatibility with
      cracklib2-dev (<< 2.8.12-1)
  * add debian/patches/596281-fix-python-extension-segfault.patch: in
    cracklib-python's C module, make sure we initialize defaultdict to
    NULL at the start of _cracklib_FascistCheck. This fixes a bug where
    that variable was freed when not NULL without ever having been
    assigned any value to.  This happened when we called FascistCheck()
    with a dictionary path of our own. Thanks to Peter Palfrader for the
    patch (Closes: #596281).

 -- Jan Dittberner <jandd@debian.org>  Fri, 10 Sep 2010 18:44:23 +0200

cracklib2 (2.8.16-2) unstable; urgency=low

  * fix bashism in debian/rules (Closes: #581479)

 -- Jan Dittberner <jandd@debian.org>  Thu, 13 May 2010 11:58:43 +0200

cracklib2 (2.8.16-1) unstable; urgency=low

  * use LC_COLLATE=C for speedup dictionary sorts (Closes: #569081)
  * new Upstream release
  * remove debian/patches/03-packer-dont-print-skipping-line.patch,
    debian/patches/svn-r152-python-use-translations.patch and
    debian/patches/series. All patches have been applied upstream

 -- Jan Dittberner <jandd@debian.org>  Wed, 03 Mar 2010 11:54:55 +0100

cracklib2 (2.8.15-9) unstable; urgency=low

  * fix wrong paths in debian/cracklib-runtime.preinst

 -- Jan Dittberner <jandd@debian.org>  Thu, 04 Feb 2010 18:11:47 +0100

cracklib2 (2.8.15-8) unstable; urgency=low

  * remove old logcheck ignore.d.{workstation,server} conffiles in
    preinst script (thanks for the hint to Hannes von Haugwitz)
  * debian/control:
   - remove Build-Depends-Indep and add python-setuptools to Build-Depends
   - remove python-crack transitional binary package
   - extend python-cracklib Conflicts to all python-crack versions
   - add python-cracklib Replaces python-crack

 -- Jan Dittberner <jandd@debian.org>  Thu, 04 Feb 2010 17:45:36 +0100

cracklib2 (2.8.15-7) unstable; urgency=low

  * remove debian/cracklib-runtime.logcheck.ignore.{server,workstation}
    because both server and workstation levels of logcheck include
    paranoid level rules (Closes: #567476)
  * debian/control: update Standards-Version to 3.8.4 (no changes needed)

 -- Jan Dittberner <jandd@debian.org>  Wed, 03 Feb 2010 18:18:23 +0100

cracklib2 (2.8.15-5~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * debian/rules:
    - add py_sitename_sh macro from /usr/share/python/python.mk which is
      not available in Lenny's python package
  * use source format 1.0
    - remove debian/source/format
    - debian/control: add quilt (>=0.46-7) to Build-Depends
    - debian/rules: add --with quilt

 -- Jan Dittberner <jandd@debian.org>  Sat, 09 Jan 2010 23:52:55 +0100
