=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Jan Dittberner <jandd@debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>
-Standards-Version: 3.8.3
-Build-Depends: debhelper (>= 7.0.50), python-support (>= 1.0.2),
+Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~), python-support (>= 1.0.2),
  python-all-dev, python-all, chrpath, xmlto, automake (>= 1.10),
- autoconf (>=2.61), libtool
-Build-Depends-Indep: python-setuptools
+ autoconf (>=2.61), libtool, python-setuptools
 Homepage: http://sourceforge.net/projects/cracklib
 XS-Python-Version: all
 Vcs-Git: git://git.debian.org/pkg-cracklib/pkg-cracklib.git
@@ -17,9 +16,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: cracklib-runtime
-Conflicts: cracklib2.6, cracklib2 (<< 2.8.12-1)
-Provides: cracklib2
-Replaces: cracklib2.6, cracklib2 (<< 2.8.12-1)
 Description: pro-active password checker library
  Shared library for cracklib2 which contains a C function which may be
  used in a passwd like program. The idea is simple: try to prevent
@@ -33,9 +29,6 @@
 Architecture: any
 Depends: libcrack2 (=${binary:Version}), ${misc:Depends}
 Recommends: cracklib-runtime
-Provides: cracklib-dev, cracklib2-dev
-Conflicts: cracklib-dev, cracklib2-dev (<< 2.8.12-1)
-Replaces: cracklib-dev, cracklib2-dev (<< 2.8.12-1)
 Description: pro-active password checker library - development files
  Header files, static libraries, documentation, and symbolic links
  developers using cracklib2 will need.
@@ -61,8 +54,8 @@
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
  libcrack2 (>=${binary:Version}), cracklib-runtime
  (>=${binary:Version})
-Provides: ${python:Provides}, python-crack
-Conflicts: python-crack (<< 2.8.12-1)
+Provides: ${python:Provides}
+Conflicts: python-crack
 XB-Python-Version: ${python:Versions}
 Description: Python bindings for password checker library cracklib2
  This package provides Python bindings for cracklib. It contains a
@@ -71,13 +64,3 @@
  .
  You should install this package if you want to use or develop Python
  applications that want to interface with cracklib2.
-
-Package: python-crack
-Section: python
-Priority: extra
-Architecture: all
-Depends: python-cracklib, ${misc:Depends}
-Description: transitional package from python-crack to python-cracklib
- There has been a package python-crack in previous Debian
- versions. This package provides an upgrade path to python-cracklib
- and can be removed safely.
