=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
-include /usr/share/python/python.mk
+#include /usr/share/python/python.mk
+py_sitename_sh = $$(basename $$(_py_=$(strip $(1)); python$${_py_\#python*} -c 'from distutils import sysconfig; print(sysconfig.get_python_lib())'))
+
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
@@ -57,7 +59,8 @@
 	 debian/tmp/usr/sbin/cracklib-unpacker
 	for i in $(PYVERS); do \
 		cd debian/build$$i/python; \
-		ln -s ../../../python/{cracklib.py,_cracklibmodule.c} .; \
+		ln -s ../../../python/cracklib.py . ; \
+                ln -s ../../../_cracklibmodule.c . ; \
 		python$$i setup.py egg_info install_egg_info --install-dir "../../tmp/usr/lib/python$$i/$(call py_sitename_sh, $$i)"; \
 		cd ../../..; \
 		find "debian/tmp/usr/lib/python$$i/$(call py_sitename_sh, $$i)" -type f | grep egg-info >> debian/python-cracklib.install; \
