## cracklib2 2.8.18

=== debian/changelog ===
cracklib2 (2.8.18-4) unstable; urgency=low

  [ Fabian Greffrath ]
  * Extend the tiny example wordlist included with the cracklib package
    itself with the words from the list of "The Top 500 Worst Passwords
    of All Time" [1], modulo the ones that fail the regular cracklib tests
    anyway (Closes: 657464).
    [1] <http://www.whatsmypass.com/the-top-500-worst-passwords-of-all-time>
  * Move the /usr/share/cracklib/cracklib-small wordlist file from the
    libcrack2 to the cracklib-runtime package and install it into
    /usr/share/dict. So there will always be at least the tiny example
    wordlist to compile a database from, even if no other package providing
    a wordlist (though recommended) is installed.
  * Do not install the /usr/share/cracklib/cracklib.magic file anymore.
    It was installed in the wrong location anyway and the file(1) tool
    is able to independently detect cracklib databases since at least 2005.
  * Remove config.h.in in the clean rule in debian/rules,
    fixes FTBFS twice in a row.

  [ Jan Dittberner ]
  * update patch debian/patches/top-500-worst-passwords.patch to add
    additional words suggested by Fabian to dicts/cracklib-small

 -- Jan Dittberner <jandd@debian.org>  Fri, 27 Jan 2012 15:38:32 +0100

cracklib2 (2.8.18-3) unstable; urgency=low

  * switch from python-support to dh_python2
    - remove python-support and python-all from Build-Depends
    - remove XS-Python-Version, remove XB-Python-Version from
      python-cracklib stanza
    - add --with python2 to dh invocation
    - bump minimum required python-all-dev version to 2.6.6-3~
  * bump Standards-Version to 3.9.2 (no changes needed)

 -- Jan Dittberner <jandd@debian.org>  Sat, 11 Jun 2011 22:29:23 +0200

cracklib2 (2.8.18-2) unstable; urgency=low

  * upload to unstable

 -- Jan Dittberner <jandd@debian.org>  Sun, 06 Feb 2011 13:06:26 +0100

cracklib2 (2.8.18-1) experimental; urgency=low

  * New upstream version.
  * remove debian/patches/596281-fix-python-extension-segfault.patch and
    debian/patches/series, patch has been applied upstream

 -- Jan Dittberner <jandd@debian.org>  Thu, 30 Sep 2010 19:43:41 +0200
