=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Jan Dittberner <jandd@debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>
-Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 7.0.50~), python-support (>= 1.0.2),
- python-all-dev, python-all, chrpath, xmlto, automake (>= 1.10),
- autoconf (>=2.61), libtool, python-setuptools
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.6.6-3~),
+ chrpath, xmlto, automake (>= 1.10), autoconf (>=2.61), libtool,
+ python-setuptools
 Homepage: http://sourceforge.net/projects/cracklib
-XS-Python-Version: all
 Vcs-Git: git://git.debian.org/pkg-cracklib/pkg-cracklib.git
 Vcs-Browser: http://git.debian.org/?p=pkg-cracklib/pkg-cracklib.git
 
@@ -56,7 +55,6 @@
  (>=${binary:Version})
 Provides: ${python:Provides}
 Conflicts: python-crack
-XB-Python-Version: ${python:Versions}
 Description: Python bindings for password checker library cracklib2
  This package provides Python bindings for cracklib. It contains a
  pythonic interface to cracklib's functions and some Python
