=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 
-#include /usr/share/python/python.mk
-py_sitename_sh = $$(basename $$(_py_=$(strip $(1)); python$${_py_\#python*} -c 'from distutils import sysconfig; print(sysconfig.get_python_lib())'))
-
+include /usr/share/python/python.mk
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
@@ -45,7 +43,7 @@
 	 dicts/Makefile.in doc/Makefile.in lib/Makefile.in m4/Makefile.in	\
 	 py-compile python/Makefile.in util/Makefile.in ltmain.sh			\
 	 m4/ltoptions.m4 m4/ltversion.m4 m4/libtool.m4 m4/ltsugar.m4		\
-	 m4/lt~obsolete.m4
+	 m4/lt~obsolete.m4 config.h.in
 
 override_dh_auto_install:
 	$(MAKE) -C debian/tmpbuild DESTDIR=`pwd`/debian/tmp install
@@ -73,4 +71,4 @@
 	dh_installchangelogs NEWS
 
 %:
-	dh $@
+	dh $@ --with python2
