## cracklib2 2.8.19

=== debian/changelog ===
cracklib2 (2.8.19-3) unstable; urgency=low

  * update debian/patches/libcrack2-error-safer-check-variant.patch with
    fixed version from http://bugs.debian.org/cgi-
    bin/bugreport.cgi?bug=689588#29

 -- Jan Dittberner <jandd@debian.org>  Wed, 12 Dec 2012 22:56:46 +0100

cracklib2 (2.8.19-2) unstable; urgency=low

  * add debian/patches/libcrack2-error-safer-check-variant.patch to provide
    __DEBIAN_SPECIFIC__SafeFascistCheck that does not call exit (Closes:
    #682735)
  * add __DEBIAN_SPECIFIC__SafeFascistCheck to debian/libcrack2.symbols

 -- Jan Dittberner <jandd@debian.org>  Tue, 02 Oct 2012 09:15:16 +0200

cracklib2 (2.8.19-1) unstable; urgency=low

  * New upstream version
  * remove debian/patches/top-500-worst-passwords.patch, applied
    upstream
  * add autotools-dev to Build-Depends
  * debian/rules:
    - use aclocal, libtoolize, automake and autoreconf instead of autogen.sh
    - do not remove config.h.in
    - add autotools_dev to dh --with options
    - build in debian/buildtmp/{base,pythonX.Y}
    - build and install Python code using setup.py
    - run Python tests
  * enable hardening build flags
    - add dpkg-dev (>= 1.16.1~) to Build-Depends
    - add DPKG_EXPORT_BUILDFLAGS=1 and include
      /usr/share/dpkg/buildflags.mk in debian/rules
  * remove debian/tmp/* from debian/cracklib-runtime.install, remove
    debian/libcrack2-dev.install, remove debian/libcrack2.install
  * add debian/test_cracklib.py with unit tests (missing in upstream
    tarball)
  * add debian/patches/install-debian-python-modules.patch to install
    debian/test_cracklib.py and debian/crack.py
  * add debian/patches/pass-dict-to-cracklib-test.patch to allow running
    Python tests using a specific dictionary
  * add Python3 support
    - debian/control:
      - add new binary package python3-cracklib
      - add python3-all-dev (>= 3.1.3-2~) and python3-setuptools to
        Build-Depends
    - debian/rules:
      - add python3 to dh --with options
      - add override_dh_python2 and override_dh_python3 to run
        dh_python2 for python-cracklib and dh_python3 for python3-cracklib
        only
      - define PY3VERS and use it for configuring, building, testing and
        installing python3-cracklib

 -- Jan Dittberner <jandd@debian.org>  Sun, 20 May 2012 01:24:02 +0200
