## cracklib2 2.8.22

=== debian/changelog ===
cracklib2 (2.8.22-1) unstable; urgency=low

  * New upstream version.
  * Fix "FTBFS with Python 3.3: ImportError: No module named
    '_cracklib'" with upstream changes (Closes: #681749)
  * refresh debian/patches/install-debian-python-modules.patch and
    debian/patches/libcrack2-error-safer-check-variant.patch
  * drop debian/patches/pass-dict-to-cracklib-test.patch included in new
    upstream version, remove line from debian/patches/series
  * Bump Standards-Version to 3.9.4 (No changes necessary)

 -- Jan Dittberner <jandd@debian.org>  Sun, 19 May 2013 11:02:35 +0200
