=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Jan Dittberner <jandd@debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.6.6-3~),
- chrpath, xmlto, automake (>= 1.10), autoconf (>=2.61), libtool,
- python-setuptools
+ python3-all-dev (>= 3.1.3-2~), chrpath, xmlto, automake (>= 1.10),
+ autoconf (>=2.61), libtool, python-setuptools, python3-setuptools,
+ dpkg-dev (>= 1.16.1~), autotools-dev
 Homepage: http://sourceforge.net/projects/cracklib
 Vcs-Git: git://git.debian.org/pkg-cracklib/pkg-cracklib.git
 Vcs-Browser: http://git.debian.org/?p=pkg-cracklib/pkg-cracklib.git
@@ -62,3 +63,20 @@
  .
  You should install this package if you want to use or develop Python
  applications that want to interface with cracklib2.
+
+Package: python3-cracklib
+Section: python
+Architecture: any
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends},
+ libcrack2 (>=${binary:Version}), cracklib-runtime
+ (>=${binary:Version})
+Provides: ${python3:Provides}
+Description: Python3 bindings for password checker library cracklib2
+ This package provides Python bindings for cracklib. It contains a
+ pythonic interface to cracklib's functions and some Python
+ convenience functions.
+ .
+ You should install this package if you want to use or develop Python3
+ applications that want to interface with cracklib2.
+ .
+ This package provides the Python3 version of cracklib2's Python binding.
